## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		    secvarctl
Version:	    1.1.0
Release:	    %autorelease
Summary:	    Suite of tools to manipulate and generate Secure Boot variables on POWER
License:	    Apache-2.0
URL:		    https://github.com/open-power/secvarctl
Source0:	    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/ibm/libstb-secvar/archive/ce98be9d15ac2df062726b4451f0ec0c0b27fbf2.tar.gz

BuildRequires:	gcc
BuildRequires:	cmake
BuildRequires:	openssl-devel
BuildRequires:  libasan

Provides:       bundled(libstb-secvar)

%description
Suite of tools to manipulate and generate Secure Boot variables on POWER.

The purpose of this tool is to simplify and automate the process of reading and
writing secure boot keys. secvarctl allows the user to communicate, via terminal
commands, with the keys efficiently. It is supporting automate process of the
both host and guest secure boot keys.

%prep
%autosetup -p1
tar xf %{SOURCE1} -C external/libstb-secvar --strip-components=1

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%check
%ifarch ppc64le
make check
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 10 2024 Packit <hello@packit.dev> - 1.1.0-1
- Update to 1.1.0 upstream release
- Resolves: rhbz#2317890

* Tue Sep 03 2024 Morten Stevens <mstevens@fedoraproject.org> - 0.3-8
- Rebuilt for mbedTLS 3.6.1

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Morten Stevens <mstevens@fedoraproject.org> - 0.3-3
- Rebuilt for mbedTLS 2.28.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 14 2021 Nick Child <nnac123@linux.vnet.ibm.com> - 0.3-1
- Update to v0.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 29 2021 Nick Child <nnac123@linux.vnet.ibm.com> - 0.2-1
- Update to v0.2
- Allow compiling with Openssl

* Thu Nov  5 2020 Nick Child <nnac123@linux.vnet.ibm.com> - 0.1-1
- Initial package
-

## END: Generated by rpmautospec
